Name: system-switch-java
Version: 1.1.6
Release: 1%{?dist}
Summary: A tool for changing the default Java toolset

%define baseurl https://fedorahosted.org

Group: Applications/System
License: GPLv2+ and BSD
URL: %{baseurl}/%{name}
Source0: %{baseurl}/releases/s/y/system-switch-java/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python-devel

Requires: chkconfig
Requires: libglade2
Requires: newt-python
Requires: pygtk2
Requires: pygtk2-libglade
Requires: python
Requires: usermode
Requires: usermode-gtk

%description
The system-switch-java package provides an easy-to-use tool to select
the default Java toolset for the system.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%find_lang %{name}
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING COPYING.icon
%{_bindir}/%{name}
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/switch_java_functions.py*
%{_datadir}/%{name}/switch_java_gui.py*
%{_datadir}/%{name}/switch_java_tui.py*
%{_datadir}/%{name}/switch_java_globals.py*
%{_datadir}/%{name}/switch_java_boot.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/system-switch-java.glade
%config(noreplace) /etc/pam.d/%{name}
%config(noreplace) /etc/security/console.apps/%{name}

%changelog
* Tue Nov 24 2015 Jiri Vanek <jvanek@redhat.com> - 1.1.6-1
- updated to upstream release of 1.1.6
- removed all upstreamed patches

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 11 2014 Jiri Vanek <jvanek@redhat.com> - 1.1.5-10
- Renamed (to baseurl) url macro to prevent shadowing
- Added BSD license to list of Licenses
 - (COPYING.icon says it's a 2-clause BSD license)
- removed buildroot definition and manual removing of it

* Fri Feb 21 2014 Omair Majid <omajid@redhat.com> - 1.1.5-9
- Remove libuser-python dependency

* Mon Feb 10 2014 Omair Majid <omajid@redhat.com> - 1.1.5-8
- Update to work with newer alternatives

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.5-2
- recompiling .py files against Python 2.7 (rhbz#623409)

* Wed Aug 19 2009 Deepak Bhole <dbhole@redhat.com>  - 1.1.5-1-1
- Update to 1.1.5 which fixes rhbz 493898 and adds more translations

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1.4-2
- Rebuild for Python 2.6

* Tue Oct 28 2008 Deepak Bhole <dbhole@redhat.com> - 1.1.4-1
- Update to 1.1.4, which contains new translations

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.3-2
- fix license tag

* Thu Jul  3 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.3-1
- Import system-switch-java 1.1.3.
- Remove desktop file patch.
- Remove Fedora 7 obsoletes.
- Resolves: rhbz#453625

* Wed Jun 11 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-3
- Update URL and source tags to point to Fedora Hosted.

* Mon Apr 14 2008 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-2
- Require libuser-python in place of libuser.
- Require newt-python in place of newt.
- Resolves: rhbz#251352

* Tue Oct  2 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.2-1
- Import system-switch-java 1.1.2.
- Resolves: rhbz#312321

* Fri Sep 28 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.1-1
- Import system-switch-java 1.1.1.

* Sat Jul 21 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-4
- Tolerate trailing newlines in alternatives file.
- Bump release number.

* Sat Jul 14 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-3
- Use Fedora 8 desktop file categories.
- Use desktop-file-install.
- Bump release number.

* Thu Jul  5 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-2
- Bump release number.

* Thu Jul  5 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Do not use desktop-file-install.

* Wed Jul  4 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Add categories when installing desktop file.

* Wed Jun 27 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.1.0-1
- Import system-switch-java 1.1.0.
- Merge gui subpackage into base package.

* Tue Jan 23 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.0.0-1
- Initial release.
